Package org.codehaus.janino

# Class MethodDescriptor

java.lang.Object
org.codehaus.janino.MethodDescriptor

public class MethodDescriptor extends Object
Representation of a "method descriptor" (JVMS 4.3.3).

## Field Summary

Fields
Modifier and Type
Field
Description
`final String[]`
`parameterFds`
The field descriptors of the method parameters.
`final String`
`returnFd`
The field descriptor of the method return value.

## Constructor Summary

Constructors
Constructor
Description
`MethodDescriptor(String s)`
Parses a method descriptor into parameter FDs and return FDs.
`MethodDescriptor(String returnFd, String... parameterFds)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`hashCode()`
`MethodDescriptor`
`prependParameter(String parameterFd)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### parameterFds

public final String[] parameterFds
The field descriptors of the method parameters.

### returnFd

public final String returnFd
The field descriptor of the method return value.

## Constructor Details

### MethodDescriptor

public MethodDescriptor(String returnFd, String... parameterFds)

### MethodDescriptor

public MethodDescriptor(String s)
Parses a method descriptor into parameter FDs and return FDs.

## Method Details

### equals

public boolean equals(@Nullable Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`
Returns:
  The "method descriptor" (JVMS 4.3.3)

### prependParameter

public MethodDescriptor prependParameter(String parameterFd)

Returns:
  A `MethodDescriptor` equal to `this`, but with another parameter inserted at position zero